wxWidgets: interface/wx/wxcrt.h File Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Functions
wxcrt.h File Reference

## Functions
bool | wxIsEmpty (const char *s)
bool | wxIsEmpty (const wchar_t *s)
bool | wxIsEmpty (const wxCharBuffer &s)
bool | wxIsEmpty (const wxWCharBuffer &s)
bool | wxIsEmpty (const wxString &s)
bool | wxIsEmpty (const wxCStrData &s)
wxChar * | wxTmemchr (const wxChar *s, wxChar c, size_t l)
int | wxTmemcmp (const wxChar *sz1, const wxChar *sz2, size_t len)
wxChar * | wxTmemcpy (wxChar *szOut, const wxChar *szIn, size_t len)
wxChar * | wxTmemmove (wxChar *szOut, const wxChar *szIn, size_t len)
wxChar * | wxTmemset (wxChar *szOut, const wxChar cIn, size_t len)
char * | wxTmemchr (const char *s, char c, size_t len)
int | wxTmemcmp (const char *sz1, const char *sz2, size_t len)
char * | wxTmemcpy (char *szOut, const char *szIn, size_t len)
char * | wxTmemmove (char *szOut, const char *szIn, size_t len)
char * | wxTmemset (char *szOut, const char cIn, size_t len)
char * | wxSetlocale (int category, const wxCharBuffer &locale)
char * | wxSetlocale (int category, const wxString &locale)
char * | wxSetlocale (int category, const wxCStrData &locale)
size_t | wxStrlen (const wxCharBuffer &s)
size_t | wxStrlen (const wxWCharBuffer &s)
size_t | wxStrlen (const wxString &s)
size_t | wxStrlen (const wxCStrData &s)
size_t | wxStrnlen (const char *str, size_t maxlen)
size_t | wxStrnlen (const wchar_t *str, size_t maxlen)
char * | wxStrdup (const wxCharBuffer &s)
wchar_t * | wxStrdup (const wxWCharBuffer &s)
char * | wxStrdup (const wxString &s)
char * | wxStrdup (const wxCStrData &s)
char * | wxStrcpy (char *dest, const char *src)
wchar_t * | wxStrcpy (wchar_t *dest, const wchar_t *src)
char * | wxStrcpy (char *dest, const wxString &src)
char * | wxStrcpy (char *dest, const wxCStrData &src)
char * | wxStrcpy (char *dest, const wxCharBuffer &src)
wchar_t * | wxStrcpy (wchar_t *dest, const wxString &src)
wchar_t * | wxStrcpy (wchar_t *dest, const wxCStrData &src)
wchar_t * | wxStrcpy (wchar_t *dest, const wxWCharBuffer &src)
char * | wxStrcpy (char *dest, const wchar_t *src)
wchar_t * | wxStrcpy (wchar_t *dest, const char *src)
char * | wxStrncpy (char *dest, const char *src, size_t n)
wchar_t * | wxStrncpy (wchar_t *dest, const wchar_t *src, size_t n)
char * | wxStrncpy (char *dest, const wxString &src, size_t n)
char * | wxStrncpy (char *dest, const wxCStrData &src, size_t n)
char * | wxStrncpy (char *dest, const wxCharBuffer &src, size_t n)
wchar_t * | wxStrncpy (wchar_t *dest, const wxString &src, size_t n)
wchar_t * | wxStrncpy (wchar_t *dest, const wxCStrData &src, size_t n)
wchar_t * | wxStrncpy (wchar_t *dest, const wxWCharBuffer &src, size_t n)
char * | wxStrncpy (char *dest, const wchar_t *src, size_t n)
wchar_t * | wxStrncpy (wchar_t *dest, const char *src, size_t n)
size_t | wxStrlcpy (char *dest, const char *src, size_t n)
size_t | wxStrlcpy (wchar_t *dest, const wchar_t *src, size_t n)
char * | wxStrcat (char *dest, const char *src)
wchar_t * | wxStrcat (wchar_t *dest, const wchar_t *src)
char * | wxStrcat (char *dest, const wxString &src)
char * | wxStrcat (char *dest, const wxCStrData &src)
char * | wxStrcat (char *dest, const wxCharBuffer &src)
wchar_t * | wxStrcat (wchar_t *dest, const wxString &src)
wchar_t * | wxStrcat (wchar_t *dest, const wxCStrData &src)
wchar_t * | wxStrcat (wchar_t *dest, const wxWCharBuffer &src)
char * | wxStrcat (char *dest, const wchar_t *src)
wchar_t * | wxStrcat (wchar_t *dest, const char *src)
char * | wxStrncat (char *dest, const char *src, size_t n)
wchar_t * | wxStrncat (wchar_t *dest, const wchar_t *src, size_t n)
char * | wxStrncat (char *dest, const wxString &src, size_t n)
char * | wxStrncat (char *dest, const wxCStrData &src, size_t n)
char * | wxStrncat (char *dest, const wxCharBuffer &src, size_t n)
wchar_t * | wxStrncat (wchar_t *dest, const wxString &src, size_t n)
wchar_t * | wxStrncat (wchar_t *dest, const wxCStrData &src, size_t n)
wchar_t * | wxStrncat (wchar_t *dest, const wxWCharBuffer &src, size_t n)
char * | wxStrncat (char *dest, const wchar_t *src, size_t n)
wchar_t * | wxStrncat (wchar_t *dest, const char *src, size_t n)
int | wxStrcmp_String (const wxString &s1, const T &s2)
int | wxStricmp_String (const wxString &s1, const T &s2)
int | wxStrcoll_String (const wxString &s1, const T &s2)
size_t | wxStrspn_String (const wxString &s1, const T &s2)
size_t | wxStrcspn_String (const wxString &s1, const T &s2)
int | wxStrncmp_String (const wxString &s1, const T &s2, size_t n)
int | wxStrnicmp_String (const wxString &s1, const T &s2, size_t n)
size_t | wxStrxfrm (char *dest, const char *src, size_t n)
size_t | wxStrxfrm (wchar_t *dest, const wchar_t *src, size_t n)
size_t | wxStrxfrm (T *dest, const wxCharTypeBuffer< T > &src, size_t n)
size_t | wxStrxfrm (char *dest, const wxString &src, size_t n)
size_t | wxStrxfrm (wchar_t *dest, const wxString &src, size_t n)
size_t | wxStrxfrm (char *dest, const wxCStrData &src, size_t n)
size_t | wxStrxfrm (wchar_t *dest, const wxCStrData &src, size_t n)
char * | wxStrtok (char *str, const char *delim, char **saveptr)
wchar_t * | wxStrtok (wchar_t *str, const wchar_t *delim, wchar_t **saveptr)
char * | wxStrtok (char *str, const wxCStrData &delim, char **saveptr)
wchar_t * | wxStrtok (wchar_t *str, const wxCStrData &delim, wchar_t **saveptr)
char * | wxStrtok (char *str, const wxString &delim, char **saveptr)
wchar_t * | wxStrtok (wchar_t *str, const wxString &delim, wchar_t **saveptr)
const char * | wxStrstr (const char *haystack, const char *needle)
const wchar_t * | wxStrstr (const wchar_t *haystack, const wchar_t *needle)
const char * | wxStrstr (const char *haystack, const wxString &needle)
const wchar_t * | wxStrstr (const wchar_t *haystack, const wxString &needle)
const char * | wxStrstr (const wxString &haystack, const wxString &needle)
const char * | wxStrstr (const wxCStrData &haystack, const wxString &needle)
const char * | wxStrstr (const wxCStrData &haystack, const wxCStrData &needle)
const char * | wxStrstr (const wxString &haystack, const char *needle)
const char * | wxStrstr (const wxCStrData &haystack, const char *needle)
const wchar_t * | wxStrstr (const wxString &haystack, const wchar_t *needle)
const wchar_t * | wxStrstr (const wxCStrData &haystack, const wchar_t *needle)
const char * | wxStrchr (const char *s, char c)
const wchar_t * | wxStrchr (const wchar_t *s, wchar_t c)
const char * | wxStrrchr (const char *s, char c)
const wchar_t * | wxStrrchr (const wchar_t *s, wchar_t c)
const char * | wxStrchr (const char *s, const wxUniChar &c)
const wchar_t * | wxStrchr (const wchar_t *s, const wxUniChar &c)
const char * | wxStrrchr (const char *s, const wxUniChar &c)
const wchar_t * | wxStrrchr (const wchar_t *s, const wxUniChar &c)
const char * | wxStrchr (const char *s, const wxUniCharRef &c)
const wchar_t * | wxStrchr (const wchar_t *s, const wxUniCharRef &c)
const char * | wxStrrchr (const char *s, const wxUniCharRef &c)
const wchar_t * | wxStrrchr (const wchar_t *s, const wxUniCharRef &c)
const T * | wxStrchr (const wxCharTypeBuffer< T > &s, T c)
const T * | wxStrrchr (const wxCharTypeBuffer< T > &s, T c)
const T * | wxStrchr (const wxCharTypeBuffer< T > &s, const wxUniChar &c)
const T * | wxStrrchr (const wxCharTypeBuffer< T > &s, const wxUniChar &c)
const T * | wxStrchr (const wxCharTypeBuffer< T > &s, const wxUniCharRef &c)
const T * | wxStrrchr (const wxCharTypeBuffer< T > &s, const wxUniCharRef &c)
const char * | wxStrchr (const wxString &s, char c)
const char * | wxStrrchr (const wxString &s, char c)
const char * | wxStrchr (const wxString &s, int c)
const char * | wxStrrchr (const wxString &s, int c)
const char * | wxStrchr (const wxString &s, const wxUniChar &c)
const char * | wxStrrchr (const wxString &s, const wxUniChar &c)
const char * | wxStrchr (const wxString &s, const wxUniCharRef &c)
const char * | wxStrrchr (const wxString &s, const wxUniCharRef &c)
const wchar_t * | wxStrchr (const wxString &s, wchar_t c)
const wchar_t * | wxStrrchr (const wxString &s, wchar_t c)
const char * | wxStrchr (const wxCStrData &s, char c)
const char * | wxStrrchr (const wxCStrData &s, char c)
const char * | wxStrchr (const wxCStrData &s, int c)
const char * | wxStrrchr (const wxCStrData &s, int c)
const char * | wxStrchr (const wxCStrData &s, const wxUniChar &c)
const char * | wxStrrchr (const wxCStrData &s, const wxUniChar &c)
const char * | wxStrchr (const wxCStrData &s, const wxUniCharRef &c)
const char * | wxStrrchr (const wxCStrData &s, const wxUniCharRef &c)
const wchar_t * | wxStrchr (const wxCStrData &s, wchar_t c)
const wchar_t * | wxStrrchr (const wxCStrData &s, wchar_t c)
const char * | wxStrpbrk (const char *s, const char *accept)
const wchar_t * | wxStrpbrk (const wchar_t *s, const wchar_t *accept)
const char * | wxStrpbrk (const char *s, const wxString &accept)
const char * | wxStrpbrk (const char *s, const wxCStrData &accept)
const wchar_t * | wxStrpbrk (const wchar_t *s, const wxString &accept)
const wchar_t * | wxStrpbrk (const wchar_t *s, const wxCStrData &accept)
const char * | wxStrpbrk (const wxString &s, const wxString &accept)
const char * | wxStrpbrk (const wxString &s, const char *accept)
const wchar_t * | wxStrpbrk (const wxString &s, const wchar_t *accept)
const char * | wxStrpbrk (const wxString &s, const wxCStrData &accept)
const char * | wxStrpbrk (const wxCStrData &s, const wxString &accept)
const char * | wxStrpbrk (const wxCStrData &s, const char *accept)
const wchar_t * | wxStrpbrk (const wxCStrData &s, const wchar_t *accept)
const char * | wxStrpbrk (const wxCStrData &s, const wxCStrData &accept)
const T * | wxStrpbrk (const S &s, const wxCharTypeBuffer< T > &accept)
char * | wxStrstr (char *haystack, const char *needle)
wchar_t * | wxStrstr (wchar_t *haystack, const wchar_t *needle)
char * | wxStrstr (char *haystack, const wxString &needle)
wchar_t * | wxStrstr (wchar_t *haystack, const wxString &needle)
char * | wxStrchr (char *s, char c)
char * | wxStrrchr (char *s, char c)
wchar_t * | wxStrchr (wchar_t *s, wchar_t c)
wchar_t * | wxStrrchr (wchar_t *s, wchar_t c)
char * | wxStrpbrk (char *s, const char *accept)
wchar_t * | wxStrpbrk (wchar_t *s, const wchar_t *accept)
char * | wxStrpbrk (char *s, const wxString &accept)
wchar_t * | wxStrpbrk (wchar_t *s, const wxString &accept)
FILE * | wxFopen (const wxString &path, const wxString &mode)
FILE * | wxFreopen (const wxString &path, const wxString &mode, FILE *stream)
int | wxRemove (const wxString &path)
int | wxRename (const wxString &oldpath, const wxString &newpath)
char * | wxFgets (char *s, int size, FILE *stream)
int | wxFgetc (FILE *stream)
int | wxUngetc (int c, FILE *stream)
int | wxAtoi (const wxString &str)
long | wxAtol (const wxString &str)
double | wxAtof (const wxString &str)
double | wxStrtod (const char *nptr, char **endptr)
double | wxStrtod (const wchar_t *nptr, wchar_t **endptr)
double | wxStrtod (const wxCharTypeBuffer< T > &nptr, T **endptr)
double | wxStrtod (const wxString &nptr, T endptr)
double | wxStrtod (const wxCStrData &nptr, T endptr)
int | wxSystem (const wxString &str)
char * | wxGetenv (const char *name)
wchar_t * | wxGetenv (const wchar_t *name)
char * | wxGetenv (const wxString &name)
char * | wxGetenv (const wxCStrData &name)
char * | wxGetenv (const wxCharBuffer &name)
wchar_t * | wxGetenv (const wxWCharBuffer &name)
size_t | wxStrftime (char *s, size_t max, size_t max, const wxString &format, const struct tm *tm)
size_t | wxStrftime (wchar_t *s, size_t max, size_t max, const wxString &format, const struct tm *tm)
bool | wxIsalnum (const wxUniChar &c)
bool | wxIsalpha (const wxUniChar &c)
bool | wxIscntrl (const wxUniChar &c)
bool | wxIsdigit (const wxUniChar &c)
bool | wxIsgraph (const wxUniChar &c)
bool | wxIslower (const wxUniChar &c)
bool | wxIsprint (const wxUniChar &c)
bool | wxIspunct (const wxUniChar &c)
bool | wxIsspace (const wxUniChar &c)
bool | wxIsupper (const wxUniChar &c)
bool | wxIsxdigit (const wxUniChar &c)
wxUniChar | wxTolower (const wxUniChar &c)
wxUniChar | wxToupper (const wxUniChar &c)
int | wxIsctrl (const wxUniChar &c)

## Function Documentation

## ◆ wxAtof()

double wxAtof | ( | const wxString & | str | ) |

## ◆ wxAtoi()

int wxAtoi | ( | const wxString & | str | ) |

## ◆ wxAtol()

long wxAtol | ( | const wxString & | str | ) |

## ◆ wxFgetc()

int wxFgetc | ( | FILE * | stream | ) |

## ◆ wxFgets()

char * wxFgets | ( | char * | s,
|  | int | size,
|  | FILE * | stream )

## ◆ wxFopen()

FILE * wxFopen | ( | const wxString & | path,
|  | const wxString & | mode )

## ◆ wxFreopen()

FILE * wxFreopen | ( | const wxString & | path,
|  | const wxString & | mode,
|  | FILE * | stream )

## ◆ wxGetenv() [1/6]

char * wxGetenv | ( | const char * | name | ) |

## ◆ wxGetenv() [2/6]

wchar_t * wxGetenv | ( | const wchar_t * | name | ) |

## ◆ wxGetenv() [3/6]

char * wxGetenv | ( | const wxCharBuffer & | name | ) |

## ◆ wxGetenv() [4/6]

char * wxGetenv | ( | const wxCStrData & | name | ) |

## ◆ wxGetenv() [5/6]

char * wxGetenv | ( | const wxString & | name | ) |

## ◆ wxGetenv() [6/6]

wchar_t * wxGetenv | ( | const wxWCharBuffer & | name | ) |

## ◆ wxIsalnum()

bool wxIsalnum | ( | const wxUniChar & | c | ) |

## ◆ wxIsalpha()

bool wxIsalpha | ( | const wxUniChar & | c | ) |

## ◆ wxIscntrl()

bool wxIscntrl | ( | const wxUniChar & | c | ) |

## ◆ wxIsctrl()

int wxIsctrl | ( | const wxUniChar & | c | ) |

## ◆ wxIsdigit()

bool wxIsdigit | ( | const wxUniChar & | c | ) |

## ◆ wxIsEmpty() [1/6]

bool wxIsEmpty | ( | const char * | s | ) |

## ◆ wxIsEmpty() [2/6]

bool wxIsEmpty | ( | const wchar_t * | s | ) |

## ◆ wxIsEmpty() [3/6]

bool wxIsEmpty | ( | const wxCharBuffer & | s | ) |

## ◆ wxIsEmpty() [4/6]

bool wxIsEmpty | ( | const wxCStrData & | s | ) |

## ◆ wxIsEmpty() [5/6]

bool wxIsEmpty | ( | const wxString & | s | ) |

## ◆ wxIsEmpty() [6/6]

bool wxIsEmpty | ( | const wxWCharBuffer & | s | ) |

## ◆ wxIsgraph()

bool wxIsgraph | ( | const wxUniChar & | c | ) |

## ◆ wxIslower()

bool wxIslower | ( | const wxUniChar & | c | ) |

## ◆ wxIsprint()

bool wxIsprint | ( | const wxUniChar & | c | ) |

## ◆ wxIspunct()

bool wxIspunct | ( | const wxUniChar & | c | ) |

## ◆ wxIsspace()

bool wxIsspace | ( | const wxUniChar & | c | ) |

## ◆ wxIsupper()

bool wxIsupper | ( | const wxUniChar & | c | ) |

## ◆ wxIsxdigit()

bool wxIsxdigit | ( | const wxUniChar & | c | ) |

## ◆ wxRemove()

int wxRemove | ( | const wxString & | path | ) |

## ◆ wxRename()

int wxRename | ( | const wxString & | oldpath,
|  | const wxString & | newpath )

## ◆ wxSetlocale() [1/3]

char * wxSetlocale | ( | int | category,
|  | const wxCharBuffer & | locale )

## ◆ wxSetlocale() [2/3]

char * wxSetlocale | ( | int | category,
|  | const wxCStrData & | locale )

## ◆ wxSetlocale() [3/3]

char * wxSetlocale | ( | int | category,
|  | const wxString & | locale )

## ◆ wxStrcat() [1/10]

char * wxStrcat | ( | char * | dest,
|  | const char * | src )

## ◆ wxStrcat() [2/10]

char * wxStrcat | ( | char * | dest,
|  | const wchar_t * | src )

## ◆ wxStrcat() [3/10]

char * wxStrcat | ( | char * | dest,
|  | const wxCharBuffer & | src )

## ◆ wxStrcat() [4/10]

char * wxStrcat | ( | char * | dest,
|  | const wxCStrData & | src )

## ◆ wxStrcat() [5/10]

char * wxStrcat | ( | char * | dest,
|  | const wxString & | src )

## ◆ wxStrcat() [6/10]

wchar_t * wxStrcat | ( | wchar_t * | dest,
|  | const char * | src )

## ◆ wxStrcat() [7/10]

wchar_t * wxStrcat | ( | wchar_t * | dest,
|  | const wchar_t * | src )

## ◆ wxStrcat() [8/10]

wchar_t * wxStrcat | ( | wchar_t * | dest,
|  | const wxCStrData & | src )

## ◆ wxStrcat() [9/10]

wchar_t * wxStrcat | ( | wchar_t * | dest,
|  | const wxString & | src )

## ◆ wxStrcat() [10/10]

wchar_t * wxStrcat | ( | wchar_t * | dest,
|  | const wxWCharBuffer & | src )

## ◆ wxStrchr() [1/21]

char * wxStrchr | ( | char * | s,
|  | char | c )

## ◆ wxStrchr() [2/21]

const char * wxStrchr | ( | const char * | s,
|  | char | c )

## ◆ wxStrchr() [3/21]

const char * wxStrchr | ( | const char * | s,
|  | const wxUniChar & | c )

## ◆ wxStrchr() [4/21]

const char * wxStrchr | ( | const char * | s,
|  | const wxUniCharRef & | c )

## ◆ wxStrchr() [5/21]

const wchar_t * wxStrchr | ( | const wchar_t * | s,
|  | const wxUniChar & | c )

## ◆ wxStrchr() [6/21]

const wchar_t * wxStrchr | ( | const wchar_t * | s,
|  | const wxUniCharRef & | c )

## ◆ wxStrchr() [7/21]

const wchar_t * wxStrchr | ( | const wchar_t * | s,
|  | wchar_t | c )

## ◆ wxStrchr() [8/21]

const T * wxStrchr | ( | const wxCharTypeBuffer< T > & | s,
|  | const wxUniChar & | c )

## ◆ wxStrchr() [9/21]

const T * wxStrchr | ( | const wxCharTypeBuffer< T > & | s,
|  | const wxUniCharRef & | c )

## ◆ wxStrchr() [10/21]

const T * wxStrchr | ( | const wxCharTypeBuffer< T > & | s,
|  | T | c )

## ◆ wxStrchr() [11/21]

const char * wxStrchr | ( | const wxCStrData & | s,
|  | char | c )

## ◆ wxStrchr() [12/21]

const char * wxStrchr | ( | const wxCStrData & | s,
|  | const wxUniChar & | c )

## ◆ wxStrchr() [13/21]

const char * wxStrchr | ( | const wxCStrData & | s,
|  | const wxUniCharRef & | c )

## ◆ wxStrchr() [14/21]

const char * wxStrchr | ( | const wxCStrData & | s,
|  | int | c )

## ◆ wxStrchr() [15/21]

const wchar_t * wxStrchr | ( | const wxCStrData & | s,
|  | wchar_t | c )

## ◆ wxStrchr() [16/21]

const char * wxStrchr | ( | const wxString & | s,
|  | char | c )

## ◆ wxStrchr() [17/21]

const char * wxStrchr | ( | const wxString & | s,
|  | const wxUniChar & | c )

## ◆ wxStrchr() [18/21]

const char * wxStrchr | ( | const wxString & | s,
|  | const wxUniCharRef & | c )

## ◆ wxStrchr() [19/21]

const char * wxStrchr | ( | const wxString & | s,
|  | int | c )

## ◆ wxStrchr() [20/21]

const wchar_t * wxStrchr | ( | const wxString & | s,
|  | wchar_t | c )

## ◆ wxStrchr() [21/21]

wchar_t * wxStrchr | ( | wchar_t * | s,
|  | wchar_t | c )

## ◆ wxStrcmp_String()

int wxStrcmp_String | ( | const wxString & | s1,
|  | const T & | s2 )

## ◆ wxStrcoll_String()

int wxStrcoll_String | ( | const wxString & | s1,
|  | const T & | s2 )

## ◆ wxStrcpy() [1/10]

char * wxStrcpy | ( | char * | dest,
|  | const char * | src )

## ◆ wxStrcpy() [2/10]

char * wxStrcpy | ( | char * | dest,
|  | const wchar_t * | src )

## ◆ wxStrcpy() [3/10]

char * wxStrcpy | ( | char * | dest,
|  | const wxCharBuffer & | src )

## ◆ wxStrcpy() [4/10]

char * wxStrcpy | ( | char * | dest,
|  | const wxCStrData & | src )

## ◆ wxStrcpy() [5/10]

char * wxStrcpy | ( | char * | dest,
|  | const wxString & | src )

## ◆ wxStrcpy() [6/10]

wchar_t * wxStrcpy | ( | wchar_t * | dest,
|  | const char * | src )

## ◆ wxStrcpy() [7/10]

wchar_t * wxStrcpy | ( | wchar_t * | dest,
|  | const wchar_t * | src )

## ◆ wxStrcpy() [8/10]

wchar_t * wxStrcpy | ( | wchar_t * | dest,
|  | const wxCStrData & | src )

## ◆ wxStrcpy() [9/10]

wchar_t * wxStrcpy | ( | wchar_t * | dest,
|  | const wxString & | src )

## ◆ wxStrcpy() [10/10]

wchar_t * wxStrcpy | ( | wchar_t * | dest,
|  | const wxWCharBuffer & | src )

## ◆ wxStrcspn_String()

size_t wxStrcspn_String | ( | const wxString & | s1,
|  | const T & | s2 )

## ◆ wxStrdup() [1/4]

char * wxStrdup | ( | const wxCharBuffer & | s | ) |

## ◆ wxStrdup() [2/4]

char * wxStrdup | ( | const wxCStrData & | s | ) |

## ◆ wxStrdup() [3/4]

char * wxStrdup | ( | const wxString & | s | ) |

## ◆ wxStrdup() [4/4]

wchar_t * wxStrdup | ( | const wxWCharBuffer & | s | ) |

## ◆ wxStrftime() [1/2]

size_t wxStrftime | ( | char * | s,
|  | size_t | max,
|  | size_t | max,
|  | const wxString & | format,
|  | const struct tm * | tm )

## ◆ wxStrftime() [2/2]

size_t wxStrftime | ( | wchar_t * | s,
|  | size_t | max,
|  | size_t | max,
|  | const wxString & | format,
|  | const struct tm * | tm )

## ◆ wxStricmp_String()

int wxStricmp_String | ( | const wxString & | s1,
|  | const T & | s2 )

## ◆ wxStrlcpy() [1/2]

size_t wxStrlcpy | ( | char * | dest,
|  | const char * | src,
|  | size_t | n )

## ◆ wxStrlcpy() [2/2]

size_t wxStrlcpy | ( | wchar_t * | dest,
|  | const wchar_t * | src,
|  | size_t | n )

## ◆ wxStrlen() [1/4]

size_t wxStrlen | ( | const wxCharBuffer & | s | ) |

## ◆ wxStrlen() [2/4]

size_t wxStrlen | ( | const wxCStrData & | s | ) |

## ◆ wxStrlen() [3/4]

size_t wxStrlen | ( | const wxString & | s | ) |

## ◆ wxStrlen() [4/4]

size_t wxStrlen | ( | const wxWCharBuffer & | s | ) |

## ◆ wxStrncat() [1/10]

char * wxStrncat | ( | char * | dest,
|  | const char * | src,
|  | size_t | n )

## ◆ wxStrncat() [2/10]

char * wxStrncat | ( | char * | dest,
|  | const wchar_t * | src,
|  | size_t | n )

## ◆ wxStrncat() [3/10]

char * wxStrncat | ( | char * | dest,
|  | const wxCharBuffer & | src,
|  | size_t | n )

## ◆ wxStrncat() [4/10]

char * wxStrncat | ( | char * | dest,
|  | const wxCStrData & | src,
|  | size_t | n )

## ◆ wxStrncat() [5/10]

char * wxStrncat | ( | char * | dest,
|  | const wxString & | src,
|  | size_t | n )

## ◆ wxStrncat() [6/10]

wchar_t * wxStrncat | ( | wchar_t * | dest,
|  | const char * | src,
|  | size_t | n )

## ◆ wxStrncat() [7/10]

wchar_t * wxStrncat | ( | wchar_t * | dest,
|  | const wchar_t * | src,
|  | size_t | n )

## ◆ wxStrncat() [8/10]

wchar_t * wxStrncat | ( | wchar_t * | dest,
|  | const wxCStrData & | src,
|  | size_t | n )

## ◆ wxStrncat() [9/10]

wchar_t * wxStrncat | ( | wchar_t * | dest,
|  | const wxString & | src,
|  | size_t | n )

## ◆ wxStrncat() [10/10]

wchar_t * wxStrncat | ( | wchar_t * | dest,
|  | const wxWCharBuffer & | src,
|  | size_t | n )

## ◆ wxStrncmp_String()

int wxStrncmp_String | ( | const wxString & | s1,
|  | const T & | s2,
|  | size_t | n )

## ◆ wxStrncpy() [1/10]

char * wxStrncpy | ( | char * | dest,
|  | const char * | src,
|  | size_t | n )

## ◆ wxStrncpy() [2/10]

char * wxStrncpy | ( | char * | dest,
|  | const wchar_t * | src,
|  | size_t | n )

## ◆ wxStrncpy() [3/10]

char * wxStrncpy | ( | char * | dest,
|  | const wxCharBuffer & | src,
|  | size_t | n )

## ◆ wxStrncpy() [4/10]

char * wxStrncpy | ( | char * | dest,
|  | const wxCStrData & | src,
|  | size_t | n )

## ◆ wxStrncpy() [5/10]

char * wxStrncpy | ( | char * | dest,
|  | const wxString & | src,
|  | size_t | n )

## ◆ wxStrncpy() [6/10]

wchar_t * wxStrncpy | ( | wchar_t * | dest,
|  | const char * | src,
|  | size_t | n )

## ◆ wxStrncpy() [7/10]

wchar_t * wxStrncpy | ( | wchar_t * | dest,
|  | const wchar_t * | src,
|  | size_t | n )

## ◆ wxStrncpy() [8/10]

wchar_t * wxStrncpy | ( | wchar_t * | dest,
|  | const wxCStrData & | src,
|  | size_t | n )

## ◆ wxStrncpy() [9/10]

wchar_t * wxStrncpy | ( | wchar_t * | dest,
|  | const wxString & | src,
|  | size_t | n )

## ◆ wxStrncpy() [10/10]

wchar_t * wxStrncpy | ( | wchar_t * | dest,
|  | const wxWCharBuffer & | src,
|  | size_t | n )

## ◆ wxStrnicmp_String()

int wxStrnicmp_String | ( | const wxString & | s1,
|  | const T & | s2,
|  | size_t | n )

## ◆ wxStrnlen() [1/2]

size_t wxStrnlen | ( | const char * | str,
|  | size_t | maxlen )

## ◆ wxStrnlen() [2/2]

size_t wxStrnlen | ( | const wchar_t * | str,
|  | size_t | maxlen )

## ◆ wxStrpbrk() [1/19]

char * wxStrpbrk | ( | char * | s,
|  | const char * | accept )

## ◆ wxStrpbrk() [2/19]

char * wxStrpbrk | ( | char * | s,
|  | const wxString & | accept )

## ◆ wxStrpbrk() [3/19]

const char * wxStrpbrk | ( | const char * | s,
|  | const char * | accept )

## ◆ wxStrpbrk() [4/19]

const char * wxStrpbrk | ( | const char * | s,
|  | const wxCStrData & | accept )

## ◆ wxStrpbrk() [5/19]

const char * wxStrpbrk | ( | const char * | s,
|  | const wxString & | accept )

## ◆ wxStrpbrk() [6/19]

const T * wxStrpbrk | ( | const S & | s,
|  | const wxCharTypeBuffer< T > & | accept )

## ◆ wxStrpbrk() [7/19]

const wchar_t * wxStrpbrk | ( | const wchar_t * | s,
|  | const wchar_t * | accept )

## ◆ wxStrpbrk() [8/19]

const wchar_t * wxStrpbrk | ( | const wchar_t * | s,
|  | const wxCStrData & | accept )

## ◆ wxStrpbrk() [9/19]

const wchar_t * wxStrpbrk | ( | const wchar_t * | s,
|  | const wxString & | accept )

## ◆ wxStrpbrk() [10/19]

const char * wxStrpbrk | ( | const wxCStrData & | s,
|  | const char * | accept )

## ◆ wxStrpbrk() [11/19]

const wchar_t * wxStrpbrk | ( | const wxCStrData & | s,
|  | const wchar_t * | accept )

## ◆ wxStrpbrk() [12/19]

const char * wxStrpbrk | ( | const wxCStrData & | s,
|  | const wxCStrData & | accept )

## ◆ wxStrpbrk() [13/19]

const char * wxStrpbrk | ( | const wxCStrData & | s,
|  | const wxString & | accept )

## ◆ wxStrpbrk() [14/19]

const char * wxStrpbrk | ( | const wxString & | s,
|  | const char * | accept )

## ◆ wxStrpbrk() [15/19]

const wchar_t * wxStrpbrk | ( | const wxString & | s,
|  | const wchar_t * | accept )

## ◆ wxStrpbrk() [16/19]

const char * wxStrpbrk | ( | const wxString & | s,
|  | const wxCStrData & | accept )

## ◆ wxStrpbrk() [17/19]

const char * wxStrpbrk | ( | const wxString & | s,
|  | const wxString & | accept )

## ◆ wxStrpbrk() [18/19]

wchar_t * wxStrpbrk | ( | wchar_t * | s,
|  | const wchar_t * | accept )

## ◆ wxStrpbrk() [19/19]

wchar_t * wxStrpbrk | ( | wchar_t * | s,
|  | const wxString & | accept )

## ◆ wxStrrchr() [1/21]

char * wxStrrchr | ( | char * | s,
|  | char | c )

## ◆ wxStrrchr() [2/21]

const char * wxStrrchr | ( | const char * | s,
|  | char | c )

## ◆ wxStrrchr() [3/21]

const char * wxStrrchr | ( | const char * | s,
|  | const wxUniChar & | c )

## ◆ wxStrrchr() [4/21]

const char * wxStrrchr | ( | const char * | s,
|  | const wxUniCharRef & | c )

## ◆ wxStrrchr() [5/21]

const wchar_t * wxStrrchr | ( | const wchar_t * | s,
|  | const wxUniChar & | c )

## ◆ wxStrrchr() [6/21]

const wchar_t * wxStrrchr | ( | const wchar_t * | s,
|  | const wxUniCharRef & | c )

## ◆ wxStrrchr() [7/21]

const wchar_t * wxStrrchr | ( | const wchar_t * | s,
|  | wchar_t | c )

## ◆ wxStrrchr() [8/21]

const T * wxStrrchr | ( | const wxCharTypeBuffer< T > & | s,
|  | const wxUniChar & | c )

## ◆ wxStrrchr() [9/21]

const T * wxStrrchr | ( | const wxCharTypeBuffer< T > & | s,
|  | const wxUniCharRef & | c )

## ◆ wxStrrchr() [10/21]

const T * wxStrrchr | ( | const wxCharTypeBuffer< T > & | s,
|  | T | c )

## ◆ wxStrrchr() [11/21]

const char * wxStrrchr | ( | const wxCStrData & | s,
|  | char | c )

## ◆ wxStrrchr() [12/21]

const char * wxStrrchr | ( | const wxCStrData & | s,
|  | const wxUniChar & | c )

## ◆ wxStrrchr() [13/21]

const char * wxStrrchr | ( | const wxCStrData & | s,
|  | const wxUniCharRef & | c )

## ◆ wxStrrchr() [14/21]

const char * wxStrrchr | ( | const wxCStrData & | s,
|  | int | c )

## ◆ wxStrrchr() [15/21]

const wchar_t * wxStrrchr | ( | const wxCStrData & | s,
|  | wchar_t | c )

## ◆ wxStrrchr() [16/21]

const char * wxStrrchr | ( | const wxString & | s,
|  | char | c )

## ◆ wxStrrchr() [17/21]

const char * wxStrrchr | ( | const wxString & | s,
|  | const wxUniChar & | c )

## ◆ wxStrrchr() [18/21]

const char * wxStrrchr | ( | const wxString & | s,
|  | const wxUniCharRef & | c )

## ◆ wxStrrchr() [19/21]

const char * wxStrrchr | ( | const wxString & | s,
|  | int | c )

## ◆ wxStrrchr() [20/21]

const wchar_t * wxStrrchr | ( | const wxString & | s,
|  | wchar_t | c )

## ◆ wxStrrchr() [21/21]

wchar_t * wxStrrchr | ( | wchar_t * | s,
|  | wchar_t | c )

## ◆ wxStrspn_String()

size_t wxStrspn_String | ( | const wxString & | s1,
|  | const T & | s2 )

## ◆ wxStrstr() [1/15]

char * wxStrstr | ( | char * | haystack,
|  | const char * | needle )

## ◆ wxStrstr() [2/15]

char * wxStrstr | ( | char * | haystack,
|  | const wxString & | needle )

## ◆ wxStrstr() [3/15]

const char * wxStrstr | ( | const char * | haystack,
|  | const char * | needle )

## ◆ wxStrstr() [4/15]

const char * wxStrstr | ( | const char * | haystack,
|  | const wxString & | needle )

## ◆ wxStrstr() [5/15]

const wchar_t * wxStrstr | ( | const wchar_t * | haystack,
|  | const wchar_t * | needle )

## ◆ wxStrstr() [6/15]

const wchar_t * wxStrstr | ( | const wchar_t * | haystack,
|  | const wxString & | needle )

## ◆ wxStrstr() [7/15]

const char * wxStrstr | ( | const wxCStrData & | haystack,
|  | const char * | needle )

## ◆ wxStrstr() [8/15]

const wchar_t * wxStrstr | ( | const wxCStrData & | haystack,
|  | const wchar_t * | needle )

## ◆ wxStrstr() [9/15]

const char * wxStrstr | ( | const wxCStrData & | haystack,
|  | const wxCStrData & | needle )

## ◆ wxStrstr() [10/15]

const char * wxStrstr | ( | const wxCStrData & | haystack,
|  | const wxString & | needle )

## ◆ wxStrstr() [11/15]

const char * wxStrstr | ( | const wxString & | haystack,
|  | const char * | needle )

## ◆ wxStrstr() [12/15]

const wchar_t * wxStrstr | ( | const wxString & | haystack,
|  | const wchar_t * | needle )

## ◆ wxStrstr() [13/15]

const char * wxStrstr | ( | const wxString & | haystack,
|  | const wxString & | needle )

## ◆ wxStrstr() [14/15]

wchar_t * wxStrstr | ( | wchar_t * | haystack,
|  | const wchar_t * | needle )

## ◆ wxStrstr() [15/15]

wchar_t * wxStrstr | ( | wchar_t * | haystack,
|  | const wxString & | needle )

## ◆ wxStrtod() [1/5]

double wxStrtod | ( | const char * | nptr,
|  | char ** | endptr )

## ◆ wxStrtod() [2/5]

double wxStrtod | ( | const wchar_t * | nptr,
|  | wchar_t ** | endptr )

## ◆ wxStrtod() [3/5]

double wxStrtod | ( | const wxCharTypeBuffer< T > & | nptr,
|  | T ** | endptr )

## ◆ wxStrtod() [4/5]

double wxStrtod | ( | const wxCStrData & | nptr,
|  | T | endptr )

## ◆ wxStrtod() [5/5]

double wxStrtod | ( | const wxString & | nptr,
|  | T | endptr )

## ◆ wxStrtok() [1/6]

char * wxStrtok | ( | char * | str,
|  | const char * | delim,
|  | char ** | saveptr )

## ◆ wxStrtok() [2/6]

char * wxStrtok | ( | char * | str,
|  | const wxCStrData & | delim,
|  | char ** | saveptr )

## ◆ wxStrtok() [3/6]

char * wxStrtok | ( | char * | str,
|  | const wxString & | delim,
|  | char ** | saveptr )

## ◆ wxStrtok() [4/6]

wchar_t * wxStrtok | ( | wchar_t * | str,
|  | const wchar_t * | delim,
|  | wchar_t ** | saveptr )

## ◆ wxStrtok() [5/6]

wchar_t * wxStrtok | ( | wchar_t * | str,
|  | const wxCStrData & | delim,
|  | wchar_t ** | saveptr )

## ◆ wxStrtok() [6/6]

wchar_t * wxStrtok | ( | wchar_t * | str,
|  | const wxString & | delim,
|  | wchar_t ** | saveptr )

## ◆ wxStrxfrm() [1/7]

size_t wxStrxfrm | ( | char * | dest,
|  | const char * | src,
|  | size_t | n )

## ◆ wxStrxfrm() [2/7]

size_t wxStrxfrm | ( | char * | dest,
|  | const wxCStrData & | src,
|  | size_t | n )

## ◆ wxStrxfrm() [3/7]

size_t wxStrxfrm | ( | char * | dest,
|  | const wxString & | src,
|  | size_t | n )

## ◆ wxStrxfrm() [4/7]

size_t wxStrxfrm | ( | T * | dest,
|  | const wxCharTypeBuffer< T > & | src,
|  | size_t | n )

## ◆ wxStrxfrm() [5/7]

size_t wxStrxfrm | ( | wchar_t * | dest,
|  | const wchar_t * | src,
|  | size_t | n )

## ◆ wxStrxfrm() [6/7]

size_t wxStrxfrm | ( | wchar_t * | dest,
|  | const wxCStrData & | src,
|  | size_t | n )

## ◆ wxStrxfrm() [7/7]

size_t wxStrxfrm | ( | wchar_t * | dest,
|  | const wxString & | src,
|  | size_t | n )

## ◆ wxSystem()

int wxSystem | ( | const wxString & | str | ) |

## ◆ wxTmemchr() [1/2]

char * wxTmemchr | ( | const char * | s,
|  | char | c,
|  | size_t | len )

## ◆ wxTmemchr() [2/2]

wxChar * wxTmemchr | ( | const wxChar * | s,
|  | wxChar | c,
|  | size_t | l )

## ◆ wxTmemcmp() [1/2]

int wxTmemcmp | ( | const char * | sz1,
|  | const char * | sz2,
|  | size_t | len )

## ◆ wxTmemcmp() [2/2]

int wxTmemcmp | ( | const wxChar * | sz1,
|  | const wxChar * | sz2,
|  | size_t | len )

## ◆ wxTmemcpy() [1/2]

char * wxTmemcpy | ( | char * | szOut,
|  | const char * | szIn,
|  | size_t | len )

## ◆ wxTmemcpy() [2/2]

wxChar * wxTmemcpy | ( | wxChar * | szOut,
|  | const wxChar * | szIn,
|  | size_t | len )

## ◆ wxTmemmove() [1/2]

char * wxTmemmove | ( | char * | szOut,
|  | const char * | szIn,
|  | size_t | len )

## ◆ wxTmemmove() [2/2]

wxChar * wxTmemmove | ( | wxChar * | szOut,
|  | const wxChar * | szIn,
|  | size_t | len )

## ◆ wxTmemset() [1/2]

char * wxTmemset | ( | char * | szOut,
|  | const char | cIn,
|  | size_t | len )

## ◆ wxTmemset() [2/2]

wxChar * wxTmemset | ( | wxChar * | szOut,
|  | const wxChar | cIn,
|  | size_t | len )

## ◆ wxTolower()

wxUniChar wxTolower | ( | const wxUniChar & | c | ) |

## ◆ wxToupper()

wxUniChar wxToupper | ( | const wxUniChar & | c | ) |

## ◆ wxUngetc()

int wxUngetc | ( | int | c,
|  | FILE * | stream )